Class Specialization
AbndmAlgo
Approximate Backward Nondeterministic Dawg Matching algorithm. Approximate string matching using bit parallelism.

Pattern

AbndmAlgo

Pattern<TNeedle, AbndmAlgo>
Include Headers
seqan/find.h
Parameters

TNeedle | The needle type. Types: String

Remarks
The types of the needle and the haystack have to match.
Specialization of
Pattern
Metafunctions

Host | Type of the object a given object depends on. (Pattern)
Needle | Returns the needle type of a Pattern type. (Pattern)
ScoringScheme | Returns the scoring scheme of an approximate searching algorithm. (Pattern)

Functions

find | Search for a Pattern in a Finder object. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
getScore | Score of the last found match in approximate searching.
host | The object a given object depends on. (Pattern)
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms). (Pattern)
position | Position of an iterator. (Pattern)
scoreLimit | The minimal score a match must reach in approximate searching.
scoringScheme | The scoring scheme used for finding or aligning. (Pattern)
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing. (Pattern)
setScoreLimit | Sets the minimal score a match must reach in approximate searching.
setScoringScheme | Sets the scoring scheme used for finding or aligning. (Pattern)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59